package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class AppParam.
 * @see sicura.entities.AppParam
 * @author Hibernate Tools
 */
@Stateless
public class AppParamHome {

	private static final Log log = LogFactory.getLog(AppParamHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(AppParam transientInstance) {
		log.debug("persisting AppParam instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(AppParam persistentInstance) {
		log.debug("removing AppParam instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public AppParam merge(AppParam detachedInstance) {
		log.debug("merging AppParam instance");
		try {
			AppParam result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public AppParam findById(AppParamId id) {
		log.debug("getting AppParam instance with id: " + id);
		try {
			AppParam instance = entityManager.find(AppParam.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
